Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007588OCamldocumentationpublic2017-07-18 21:022017-08-22 10:27
Reporterzozozo 
Assigned Tooctachron 
PrioritynormalSeveritytrivialReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.06.0 +dev/beta1/beta2/rc1 
Summary0007588: Document Format.pp_{set,get}_formatter_out_functions in the dedicated paragraph
DescriptionMentionning the existence of the Format.pp_{set,get}_formatter_out_functions in the paragraph/section talking about the formatter_out_functions, or at least mentioning it is possible to change these functions on a specific formatter and not only the standard one would greatly increase their visibility and usability.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018170)
octachron (developer)
2017-08-15 14:03

See https://github.com/ocaml/ocaml/pull/1291 [^] for a possible fix.
(0018191)
octachron (developer)
2017-08-22 10:27

Fixed by the above PR that pairs all "pp_" prefixed functions with their stdout counterpart in the documentation. Thanks for the report!

- Issue History
Date Modified Username Field Change
2017-07-18 21:02 zozozo New Issue
2017-07-18 21:11 octachron Assigned To => octachron
2017-07-18 21:11 octachron Status new => assigned
2017-08-15 14:03 octachron Note Added: 0018170
2017-08-22 10:27 octachron Note Added: 0018191
2017-08-22 10:27 octachron Status assigned => resolved
2017-08-22 10:27 octachron Fixed in Version => 4.06.0 +dev/beta1/beta2/rc1
2017-08-22 10:27 octachron Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker